اطلاعیه

بستن
No announcement yet.

خطای Do not run Composer as root/super user! هنگام نصب A2Billing

بستن
X
 
  • فیلتر کردن
  • زمان
  • نمایش
Clear All
پست های جدید

    خطای Do not run Composer as root/super user! هنگام نصب A2Billing

    سلام. من Debian 10 دارم و روش استریسک نصب کردم و برای محاسبه قیمت تماس ها هم از A2Billing استفاده کنم. قبل از نصب A2billing نیاز هست یکسری پکیج های پیش نیاز نصب بشه که وقتی من میخوام Composer مربوط به PHP رو مثل لینک زیر نصب کنم با خطای {Do not run Composer as root/super user! See https://getcomposer.org/root for details} برمیخورم.
    کد:
    # php composer.phar update
    Do not run Composer as root/super user! See https://getcomposer.org/root for details
    Loading composer repositories with package information
    Updating dependencies (including require-dev)
    Package operations: 24 installs, 0 updates, 0 removals
    - Installing adodb/adodb-php (dev-master 68be068): Cloning 68be068cb0 from cache
    Failed to download smarty/smarty from dist: The zip extension and unzip command are both missing, skipping.
    Your command-line PHP is using multiple ini files. Run `php --ini` to show them.
    Now trying to download from source
    - Installing smarty/smarty (v3.1.36): Cloning fd148f7ade from cache
    Failed to download sebastian/version from dist: The zip extension and unzip command are both missing, skipping.
    Your command-line PHP is using multiple ini files. Run `php --ini` to show them.
    Now trying to download from source
    - Installing sebastian/version (1.0.6): Cloning 58b3a85e79 from cache
    Failed to download sebastian/global-state from dist: The zip extension and unzip command are both missing, skipping.
    Your command-line PHP is using multiple ini files. Run `php --ini` to show them.
    Now trying to download from source
    - Installing sebastian/global-state (1.1.1): Cloning bc37d50fea from cache
    Failed to download sebastian/recursion-context from dist: The zip extension and unzip command are both missing, skipping.
    Your command-line PHP is using multiple ini files. Run `php --ini` to show them.
    Now trying to download from source
    - Installing sebastian/recursion-context (1.0.5): Cloning b19cc32984 from cache
    Failed to download sebastian/exporter from dist: The zip extension and unzip command are both missing, skipping.
    Your command-line PHP is using multiple ini files. Run `php --ini` to show them.
    Now trying to download from source
    - Installing sebastian/exporter (1.2.2): Cloning 42c4c2eec4 from cache
    Failed to download sebastian/environment from dist: The zip extension and unzip command are both missing, skipping.
    Your command-line PHP is using multiple ini files. Run `php --ini` to show them.
    Now trying to download from source
    - Installing sebastian/environment (1.3.8): Cloning be2c607e43 from cache
    Failed to download sebastian/diff from dist: The zip extension and unzip command are both missing, skipping.
    Your command-line PHP is using multiple ini files. Run `php --ini` to show them.
    Now trying to download from source
    - Installing sebastian/diff (1.4.3): Cloning 7f066a26a9 from cache
    Failed to download sebastian/comparator from dist: The zip extension and unzip command are both missing, skipping.
    Your command-line PHP is using multiple ini files. Run `php --ini` to show them.
    Now trying to download from source
    - Installing sebastian/comparator (1.2.4): Cloning 2b7424b55f from cache
    Failed to download symfony/polyfill-ctype from dist: The zip extension and unzip command are both missing, skipping.
    Your command-line PHP is using multiple ini files. Run `php --ini` to show them.
    Now trying to download from source
    - Installing symfony/polyfill-ctype (v1.18.1): Cloning 1c302646f6 from cache
    Failed to download symfony/yaml from dist: The zip extension and unzip command are both missing, skipping.
    Your command-line PHP is using multiple ini files. Run `php --ini` to show them.
    Now trying to download from source
    - Installing symfony/yaml (v3.4.44): Cloning 4152e36b0f from cache
    Failed to download doctrine/instantiator from dist: The zip extension and unzip command are both missing, skipping.
    Your command-line PHP is using multiple ini files. Run `php --ini` to show them.
    Now trying to download from source
    - Installing doctrine/instantiator (1.3.1): Cloning f350df0268 from cache
    Failed to download webmozart/assert from dist: The zip extension and unzip command are both missing, skipping.
    Your command-line PHP is using multiple ini files. Run `php --ini` to show them.
    Now trying to download from source
    - Installing webmozart/assert (1.9.1): Cloning bafc69caeb from cache
    Failed to download phpdocumentor/reflection-common from dist: The zip extension and unzip command are both missing, skipping.
    Your command-line PHP is using multiple ini files. Run `php --ini` to show them.
    Now trying to download from source
    - Installing phpdocumentor/reflection-common (2.2.0): Cloning 1d01c49d4e from cache
    Failed to download phpdocumentor/type-resolver from dist: The zip extension and unzip command are both missing, skipping.
    Your command-line PHP is using multiple ini files. Run `php --ini` to show them.
    Now trying to download from source
    - Installing phpdocumentor/type-resolver (1.3.0): Cloning e878a14a65 from cache
    Failed to download phpdocumentor/reflection-docblock from dist: The zip extension and unzip command are both missing, skipping.
    Your command-line PHP is using multiple ini files. Run `php --ini` to show them.
    Now trying to download from source
    - Installing phpdocumentor/reflection-docblock (5.2.1): Cloning d870572532 from cache
    Failed to download phpspec/prophecy from dist: The zip extension and unzip command are both missing, skipping.
    Your command-line PHP is using multiple ini files. Run `php --ini` to show them.
    Now trying to download from source
    - Installing phpspec/prophecy (v1.10.3): Cloning 451c3cd141 from cache
    Failed to download phpunit/php-text-template from dist: The zip extension and unzip command are both missing, skipping.
    Your command-line PHP is using multiple ini files. Run `php --ini` to show them.
    Now trying to download from source
    - Installing phpunit/php-text-template (1.2.1): Cloning 31f8b717e5 from cache
    Failed to download phpunit/phpunit-mock-objects from dist: The zip extension and unzip command are both missing, skipping.
    Your command-line PHP is using multiple ini files. Run `php --ini` to show them.
    Now trying to download from source
    - Installing phpunit/phpunit-mock-objects (2.3.8): Cloning ac8e7a3db3 from cache
    Failed to download phpunit/php-timer from dist: The zip extension and unzip command are both missing, skipping.
    Your command-line PHP is using multiple ini files. Run `php --ini` to show them.
    Now trying to download from source
    - Installing phpunit/php-timer (5.0.1): Cloning cc49734779 from cache
    Failed to download phpunit/php-token-stream from dist: The zip extension and unzip command are both missing, skipping.
    Your command-line PHP is using multiple ini files. Run `php --ini` to show them.
    Now trying to download from source
    - Installing phpunit/php-token-stream (1.4.12): Cloning 1ce90ba27c from cache
    Failed to download phpunit/php-file-iterator from dist: The zip extension and unzip command are both missing, skipping.
    Your command-line PHP is using multiple ini files. Run `php --ini` to show them.
    Now trying to download from source
    - Installing phpunit/php-file-iterator (1.4.5): Cloning 730b01bc3e from cache
    Failed to download phpunit/php-code-coverage from dist: The zip extension and unzip command are both missing, skipping.
    Your command-line PHP is using multiple ini files. Run `php --ini` to show them.
    Now trying to download from source
    - Installing phpunit/php-code-coverage (2.2.4): Cloning eabf68b476 from cache
    Failed to download phpunit/phpunit from dist: The zip extension and unzip command are both missing, skipping.
    Your command-line PHP is using multiple ini files. Run `php --ini` to show them.
    Now trying to download from source
    - Installing phpunit/phpunit (4.7.7): Cloning 9b97f9d807 from cache
    sebastian/global-state suggests installing ext-uopz (*)
    symfony/yaml suggests installing symfony/console (For validating YAML files using the lint command)
    phpunit/phpunit-mock-objects suggests installing ext-soap (*)
    phpunit/php-code-coverage suggests installing ext-xdebug (>=2.2.1)
    phpunit/phpunit suggests installing phpunit/php-invoker (~1.1)
    Package phpunit/phpunit-mock-objects is abandoned, you should avoid using it. No replacement was suggested.
    Package phpunit/php-token-stream is abandoned, you should avoid using it. No replacement was suggested.
    Writing lock file
    Generating autoload files
    4 packages you are using are looking for funding.
    Use the `composer fund` command to find out more!
    برای نصب بیلینگ تماس ها در استریسک من از این لینک دارم استفاده میکنم :
    https://www.powerpbx.org/content/a2b...all-guide-v2-2

    چطور میشه این مشکل رو حل کرد؟ پیشاپیش از راهنمایی شما اساتید گرامی تشکر میکنم.
    آخرین ویرایش توسط robot; در تاریخ/ساعت 09-10-2020, 11:49 AM.

درباره انجمن منطقه لینوکسی ها

انجمن منطقه لینوکسی ها با هدف ارتقاء سطح علمی کاربران در سطح جهانی و همچنین کمک به بالا بردن سطح علمی عمومی در زمینه های تخصصی فوق پایه گذاری شده است. انجمن منطقه لینوکسی ها از طریق کارشناسان و متخصصان پاسخگوی سوالات گوناگون کاربران مبتدی یا پیشرفته میباشد تا حد امکان تلاش شده که محیطی متنوع و کاربر پسند و به دور از هرگونه حاشیه جهت فعالیت کاربران در این انجمن ایجاد شود. لذا ما به صورت مستمر برای پیشرفت کمی و کیفی محتوی و اطلاعات انجمنمان میکوشیم که این برای ما ارزشمند و حائز اهمیت است. کلیه حقوق،اطلاعات و مقالات در این انجمن متعلق به سایت منطقه لینوکسی ها میباشد، و هرگونه نسخه برداری بدون ذکر منبع مورد پیگرد قانونی خواهد شد.

شبکه های اجتماعی

ایمیل مدیریت

Habili@linux-zone.org

در حال انجام ...
X